{-# LANGUAGE QuasiQuotes #-}
{-# LANGUAGE TemplateHaskell #-}

module Feature.Generation.Templates ( renderGen ) where

import Core.Templates (hxVals)

import qualified Data.Text      as T
import qualified Data.Text.Lazy as LT

import Text.Blaze.Html.Renderer.Text   (renderHtml)
import Text.Blaze.Html
import Text.Hamlet                     (shamletFile)

import Prelude 

renderGen :: String -> LT.Text
renderGen genPw = renderHtml ( $(shamletFile "./views/gen.hamlet") )
  where
   hsGeneratedSharing = hxVals "newSec" genPw
